#!/usr/bin/env python3

import gi
gi.require_version("Gtk", "3.0")
gi.require_version("AppIndicator3", "0.1")


from gi.repository import Gtk, GLib
from gi.repository import AppIndicator3 as appindicator

import subprocess
import os
import signal

APPINDICATOR_ID = 'myappindicator'

def myapp(_):
    subprocess.call("myapp.sh", shell=True)
    return myapp

rcLocalFile = open("/etc/rc.local", 'r')
rcLocalFile.close()
rcLocalFile = open("/etc/rc.local", 'r')

rcLocalText = rcLocalFile.read()
rcLocalCheck = "sudo rsync -a --delete /etc/.congelador/usuario/ /home/usuario/"

if rcLocalCheck in rcLocalText:
    signal.signal(signal.SIGINT, signal.SIG_DFL)
    indicator = appindicator.Indicator.new(APPINDICATOR_ID, os.path.abspath("/usr/share/pixmaps/cgacongelador.svg"), appindicator.IndicatorCategory.SYSTEM_SERVICES)
    indicator.set_status(appindicator.IndicatorStatus.ACTIVE)
    indicatorMenu = Gtk.Menu()
    indicatorBlocked = Gtk.MenuItem("Equipo Congelado")
    indicatorMenu.append(indicatorBlocked)
    indicatorMenu.show_all()
    indicator.set_menu(indicatorMenu)
    Gtk.main()
else:
    Gtk.main_quit()

rcLocalFile.close()

